## devscripts 2.25.19~bpo13+1

=== po4a/Makefile ===
include ../Makefile.common

LANGS = de fr pt

DESC_de/ = Debian-Hilfswerkzeuge
DESC_fr/ = Utilitaires Debian
DESC_pt/ = Utilitários Debian

GEN_TR_MAN1S := $(sort $(foreach lang,$(LANGS),$(patsubst %.1,$(lang)/%.$(lang).1,$(GEN_MAN1S))))
GEN_TR_MAN5S := $(sort $(foreach lang,$(LANGS),$(patsubst %.5,$(lang)/%.$(lang).5,$(GEN_MAN5S))))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) transform
transform: $(GEN_TR_MAN1S) $(GEN_TR_MAN5S)

translate: ../doc/devscripts.7
	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
	touch $@

clean: ../doc/devscripts.7
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate
	rm -rf $(LANGS)

../doc/devscripts.7:
	# po4a translate and clean need ../doc/devscripts.7, rebuild it
	$(MAKE) -C ../doc devscripts.7

%.1:: %.pl translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.pod translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.1:: %.dbk translate
	mkdir -p $(LANGS)
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
%.5:: %.pl translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.5:: %.pod translate
	-podchecker $<
	pod2man --utf8 --center=" " --release="$(DESC_$(dir $@))" $< > $@
%.5:: %.dbk translate
	mkdir -p $(LANGS)
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

=== debian/changelog ===
devscripts (2.25.19~bpo13+1) trixie-backports; urgency=medium

  * Team upload.
  * Rebuild for trixie-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 22 Sep 2025 00:10:50 -0700

devscripts (2.25.19) unstable; urgency=medium

  [ Yadd ]
  * Fix autopkgtest
  * Indicates that debian/watch version 5 breaks dh-nodejs <= 0.16.0~
  * Update French translation
  * Dependencies:
    * Move libio-string-perl from recommended dependencies to required ones
    * Move libmetacpan-client-perl from suggested dependencies to recommended
      ones
    * Suggests libgitlab-api-v4-perl (needed by salsa)
  * uscan:
    - add "Untrackable" field to disable uscan + allow one paragraph
    - in version=5, rename Pretty and Date into Git-Pretty and Git-Date
    - set a default value for Matching-Pattern
    - better error message when libmetacpan-client-perl is missing (Metacpan
      template)
    - group some duplicated code
    - move "modes" into dedicated folder
    - use debian/upstream/metadata if debian/watch is missing and a
      corresponding template exists (Closes: #1111114)
    - Templates:
      * add template for npmjs.com registry
      * add Gitlab template and mode
      * fix component filenames in Github template
      * update Github examples
      * add "Release-Only" parameter for Github and Gitlab templates

  [ Julien Plissonneau Duquène ]
  * Update and fix french translations

  [ наб ]
  * uscan: mode=git: don't choke on signed commits

 -- Yadd <yadd@debian.org>  Sat, 23 Aug 2025 01:47:47 +0200

devscripts (2.25.18) unstable; urgency=medium

  [ Yadd ]
  * uscan:
    - When --update-watchfile, try to use templates
    - Add libmetacpan-client-perl into suggested packages
    - Add metacpan autopkgtest (with restriction needs-internet)
  * Update French translation

  [ Sean Whitton ]
  * Delete git-deborig that is moving to the git-debpush package
    (Related: #1105759)
    - Drop deps and recs on libgit-wrapper-perl, liblist-compare-perl,
      libtry-tiny-perl
  * Add Recommends on git-debpush
  * README.md: debrebuild requires libstring-shellquote-perl

  [ Hugh McMaster ]
  * uscan:
    - test/test_uscan_git: Convert tests to watch file Version 5 and refactor2
    - uscan/WatchSource.pm: Remove boolean 'gitmodules' option
    - uscan: Better handle Git-Modules: 'yes' and 'all' values
    - uscan/Downloader.pm: Pass '--quiet' to git if not in verbose or debug mode
    - uscan/git.pm: Pass '--quiet' to git if not in verbose or debug mode
    - uscan/WatchSource.pm: Avoid leading whitespace in raw watch file output

  [ Otto Kekäläinen ]
  * dep-14-convert: Use 'upstream' as fallback if no merges found (Closes: #1110088)

  [ Alexandre Detiste ]
  * what-patch: Remove dead code testing for former removed patch systems

  [ Bas Couwenberg ]
  * debchange: trixie is now stable, forky is testing.

  [ Julien Plissonneau Duquène ]
  * uscan:
    - Add a test case for using --download-version with version mangling in
      git mode.
    - Match unmangled versions against --download-version (Closes: #1100020)
    - Add NEWS entry about d/watch breaking changes

  [ Dorle Osterode ]
  * (de) po4a/po/de.po: Update translation

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Aug 2025 22:48:48 +0100

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 Benjamin Drung <bdrung@debian.org>,
 Holger Levsen <holger@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dpkg-dev (>= 1.19.1),
 apt <!nocheck>,
 autodep8 <!nocheck>,
 bash-completion,
 black <!nocheck>,
 docbook-xsl,
 faketime <!nocheck>,
 file <!nocheck>,
 git (>= 1:2.7.0) <!nocheck>,
 gnupg <!nocheck>,
 gpg-agent <!nocheck>,
 gpgv <!nocheck>,
 help2man,
 isort <!nocheck>,
 libdistro-info-perl <!nocheck>,
 libdpkg-perl <!nocheck>,
 libfile-dirlist-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-touch-perl <!nocheck>,
 libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
 libio-string-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblwp-protocol-psgi-perl <!nocheck>,
 libmoo-perl <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtimedate-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libwww-perl <!nocheck>,
 lsb-release <!nocheck>,
 lzip <!nocheck>,
 perl:any,
 perltidy <!nocheck>,
 pkgconf,
 po4a,
 pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
 python3-all:any,
 python3-apt <!nocheck>,
 python3-debian <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-junit.xml <!nocheck>,
 python3-magic <!nocheck>,
 python3-pycurl <!nocheck>,
 python3-pyftpdlib <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-unidiff <!nocheck>,
 python3-xdg <!nocheck>,
 shunit2 <!nocheck>,
 subversion [!i386] <!nocheck>,
 unzip <!nocheck>,
 wdiff <!nocheck>,
 xsltproc,
 xz-utils <!nocheck>,
 zip <!nocheck>,
 zstd <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/devscripts
Vcs-Git: https://salsa.debian.org/debian/devscripts.git

Package: devscripts
Architecture: all
Multi-Arch: foreign
Depends:
 dpkg-dev (>= 1.18.19),
 file,
 gpg,
 gpg-agent,
 libdpkg-perl,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libio-string-perl,
 libmoo-perl,
 libwww-perl,
 patchutils,
 sensible-utils,
 sopv | gpgv,
 wdiff,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 apt (>= 1.3~pre3),
 dctrl-tools,
 dput | dupload,
 git-debpush (>= 13.12),
 libdistro-info-perl,
 libencode-locale-perl,
 libjson-perl,
 libmetacpan-client-perl,
 libstring-shellquote-perl,
 liburi-perl,
 licensecheck,
 lintian,
 lzip,
 man-db,
 patch,
 python3-apt,
 python3-debian (>= 0.1.15),
 python3-magic,
 python3-requests,
 python3-unidiff,
 python3-xdg,
 strace,
 unzip,
 wget | curl,
 xz-utils,
 ${vendor:Recommends},
Suggests:
 debhelper,
 adequate,
 at,
 autopkgtest,
 bls-standalone,
 bsd-mailx | mailx,
 build-essential,
 check-all-the-things,
 diffoscope,
 disorderfs,
 docker.io,
 dose-extra (>= 4.0),
 duck,
 elpa-devscripts,
 faketime,
 gnuplot,
 how-can-i-help,
 libauthen-sasl-perl,
 libdbd-pg-perl,
 libgitlab-api-v4-perl (>= 0.13),
 libterm-size-perl,
 libtimedate-perl,
 libyaml-libyaml-perl,
 mmdebstrap,
 mutt,
 piuparts,
 postgresql-client,
 pristine-lfs,
 python3-debianbts,
 python3-pycurl,
 quilt,
 ratt,
 reprotest,
 ssh-client,
 svn-buildpackage,
 w3m,
 ${vendor:Suggests},
Breaks:
 hardening-includes,
 ubuntu-dev-tools (<< 0.147~),
 dh-nodejs (<< 0.16.0~),
Replaces:
 hardening-includes,
 ubuntu-dev-tools (<< 0.124~),
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
 ${devscripts:LongDesc}

=== test/sadt/test-command/debian/tests/control ===
Test-Command: echo 'Test-Command is supported'

=== test/sadt/unskipped/debian/tests/control ===
Tests: fails
Restrictions: skippable

## devscripts 2.25.19

=== test/uscan/manual-test/_upspin/debian/changelog ===
upspin (0~0.0-1) unstable; urgency=medium

  * dummy changelog.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2018 22:48:47 +0900

## devscripts 2.25.19ubuntu1

=== debian/changelog ===
devscripts (2.25.19ubuntu1) questing; urgency=medium

  * Temporarily lower libmetacpan-client-perl from Recommends to Suggests
    because it's not in Ubuntu main yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Aug 2025 10:25:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -101,7 +102,6 @@
  libdistro-info-perl,
  libencode-locale-perl,
  libjson-perl,
- libmetacpan-client-perl,
  libstring-shellquote-perl,
  liburi-perl,
  licensecheck,
@@ -141,6 +141,7 @@
  libauthen-sasl-perl,
  libdbd-pg-perl,
  libgitlab-api-v4-perl (>= 0.13),
+ libmetacpan-client-perl,
  libterm-size-perl,
  libtimedate-perl,
  libyaml-libyaml-perl,

## devscripts 2.25.19ubuntu2

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

all: version doc make_scripts conf.default translated_manpages

version:
	rm -f version
	dpkg-parsechangelog -SVersion > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_doc clean_translated_manpages
	rm -f version conf.default make_scripts

doc:
	$(MAKE) -C doc

online-test:
	$(MAKE) -C test/ online-test

destructive-test:
	$(MAKE) -C test/ $@

destructive-test-installed:
	$(MAKE) -C test/ $@

test:
	$(MAKE) test_scripts
	$(MAKE) test_test

test-installed:
	$(MAKE) -C test/ $@

install: all install_scripts install_doc
	install -d "$(DESTDIR)$(PERLMOD_DIR)" \
	    "$(DESTDIR)$(DATA_DIR)" "$(DESTDIR)$(TEMPLATES_DIR)" \
	    "$(DESTDIR)$(DOCDIR)"
	for f in lib/*; do cp -a "$$f" "$(DESTDIR)$(PERLMOD_DIR)"; done
	install -m0644 conf.default "$(DESTDIR)$(DATA_DIR)"
	install -m0644 templates/README.mk-build-deps "$(DESTDIR)$(TEMPLATES_DIR)"
	install -m0644 README.md "$(DESTDIR)$(DOCDIR)"
	ln -sf edit-patch.1 "$(DESTDIR)$(MAN1DIR)/add-patch.1"

test_test:
	$(MAKE) -C test/ test

make_scripts: version
	$(MAKE) -C scripts/
	touch $@
clean_scripts: clean_translated_manpages
	$(MAKE) -C scripts/ clean
test_scripts:
	$(MAKE) -C scripts/ test
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

clean_doc: clean_translated_manpages
	$(MAKE) -C doc clean
install_doc:
	$(MAKE) -C doc install DESTDIR=$(DESTDIR)

.PHONY: online-test test test-installed

=== debian/changelog ===
devscripts (2.25.19ubuntu2) questing; urgency=medium

  * Lower git-debpush from Recommends to Suggests
    because it's not in Ubuntu main yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Sep 2025 10:40:43 -0400

=== debian/control ===
--- 
+++ 
@@ -98,7 +98,6 @@
  apt (>= 1.3~pre3),
  dctrl-tools,
  dput | dupload,
- git-debpush (>= 13.12),
  libdistro-info-perl,
  libencode-locale-perl,
  libjson-perl,
@@ -136,6 +135,7 @@
  duck,
  elpa-devscripts,
  faketime,
+ git-debpush (>= 13.12),
  gnuplot,
  how-can-i-help,
  libauthen-sasl-perl,

=== test/sadt/ignore-udebs/debian/tests/control ===
Tests: ignore-udebs

## devscripts 2.25.20

=== debian/changelog ===
devscripts (2.25.20) unstable; urgency=medium

  [ Yadd ]
  * Update uscan doc.
  * uscan: document --update-watchfile.
  * Add "Version-Type" parameter in templates to be able to replace
    ANY_VERSION by another macro.
  * uscan: update missing-template message to suggest an upgrade.
  * uscan: reject "version=5" in favor of "Version: 5" and report
    corresponding error.
  * Clean test files.

  [ Ben Hutchings ]
  * uscan:
    - fix parsing of v4 watch file with @PACKAGE@ in URL. Closes: #1112065.
    - add regression test for bug #1112065.
    - add test cases for v4 watch files.

  [ Jochen Sprickerhof ]
  * debrebuild: workaround #806984 and #807168 when rebuilding
    debian-installer(-netboot-images).
  * uscan: add references to new watch man pages.

  [ Xiyue Deng ]
  * Use canonical field name in debian-watch manpage.

  [ Hugh McMaster ]
  * uscan:
    - Call 'git fetch' with  '--recurse-submodules' in submodules mode
    - Pass @args to 'git fetch' when updating upstream repositories
    - Fix regression preventing use of "safe.bareRepository = explicit"
      Closes: #1114902
  * uscan/Git.pm: Fix cloning from branches with 'heads/<branch>' syntax
    Closes: #1114750
  * uscan/Downloader.pm: Support git upstream repositories with submodules
  * uscan/WatchSource.pm: Fix logic error when cloning selected git submodules
    Closes: #1114540
  * debian-watch.pod: Minor updates
  * debian-watch-4.pod: Update Description and correct a grammatical error
  * test/test_uscan_git:
    - Separate writeDebianWatch() from makeDebianDir()
    - Test git upstream repositories with submodules
    - Stop 'git-daemon' if the process exists
    - Simplify 'git submodule' tests
    - Add second submodule to unit tests
    - Test individual git submodules
    - Separate git upstream submodules setup from initial test
    - Add more git upstream submodule tests
    - Rewrite writeDebianWatch() to use an associative array
    - Set "Pgp-Mode: none" as a default in debian/watch
    - Uniformity updates
    - Unify use of 'pristine' and 'upstream' tarball variables
    - Avoid use of perl in unit tests
    - Add tests for 'Git-Pretty: describe' mode
  * Fix several issues pointed out by Lintian:
    - debian-watch.pod: Fix spelling issues
    - debian/copyright: Add missing License field
    - scripts/deb*.1: Print a straight quote instead of an acute accent
    - scripts/*.pod: start manual page NAME section with one word
    - README.md: Wrap script description lines at 80 characters

  [ Alexandre Detiste ]
  * Remove obsolete what-patch script.

  [ Jeremy Bícha ]
  * uscan: capitalize GitHub and GitLab correctly in manpages.

  [ Simon Richter ]
  * uscan: add support for recursive submodules.

  [ Bastian Blank ]
  * Use properly mangled version in vcs download again.

  [ Serge Schneider ]
  * uscan/Downloader.pm: Escape $pkg variable in $fname regex.
    Closes: #995857, #1110911.

  [ Jérémy Lal ]
  * grep-excuses.1: fix --autopkgtests msgstr. Closes:#1117931.

  [ Holger Levsen ]
  * Update Portuguese translation. Thanks to Américo Monteiro.
    Closes: #1110411.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sun, 19 Oct 2025 16:36:30 +0200

=== test/t/uscan/automangle_v4/debian/watch ===
version=4
opts="pgpmode=none, uversionmangle=auto" \
https://foo/.*foo?@ANY_VERSION@@ARCHIVE_EXT@ \
group
opts="component=bar, pgpmode=none, filenamemangle=auto" \
https://foo/.*bar?@ANY_VERSION@@ARCHIVE_EXT@ \
group

=== test/t/uscan/components_v4/debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, pgpmode=none" \
https://foo/@PACKAGE@-@SEMANTIC_VERSION@@ARCHIVE_EXT@
opts="component=bar, pgpmode=none" \
https://foo/@COMPONENT@-@STABLE_VERSION@@ARCHIVE_EXT@

## devscripts 2.25.21

=== debian/changelog ===
devscripts (2.25.21) unstable; urgency=medium

  [ Manuel Guerra ]
  * uscan: Add Pypi template.

  [ Yadd ]
  * Add test to prevent CVE-2025-8454 - see #1109251.

  [ Hugh McMaster ]
  * test/test_uscan_git:
    - Unify package version creation in testGitHead*() tests.
    - Group module-wide variables.
    - Move shunit2-helper-functions.sh block.
    - Update error message in makeDebianDir().
    - Append package name to TEMP_PKG_DIR.
    - Remove subshell from spawnGitDaemon().
    - Spawn git repositories in TEMP_SRV_DIR.
    - Use ${PKG} as the main git repository name.
    - Use a common git repository.
    - Check file presence in every test.
    - Replace 'cat' with 'echo -e'.
    - Spawn git modules before tagging as v2.0.
    - Pass main repository name to spawnGitRepo().
    - Format subshell code block in spawnGitRepo().
    - Group tests and update some test names.
    - Use a common Debian directory.
    - Remove un-needed comments from tests.
    - Add more IgnoreExclusions tests.

  [ Jonas Jelten ]
  * debchange: ubuntu native packages version increment support.

  [ Benjamin Drung ]
  * Lower git-debpush from Recommends to Suggests on Ubuntu.

  [ Bastian Triller ]
  * Fix typos in README and Uscan/WatchSource manpage.

  [ Holger Levsen ]
  * Drop Rules-Requires-Root: no (now the default).
  * Add "Closes: #1112388" for 2.25.20 changelog entry for !MR564/8b2652c87.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Fri, 24 Oct 2025 10:12:05 +0200

=== test/uscan/manual-test/_osamu-utils/debian/changelog ===
osamu-utils (0~0.0-1) unstable; urgency=medium

  * dummy changelog.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2018 22:48:47 +0900

=== test/t/uscan/semantic_version/debian/watch ===
Version: 5

Source: https://foo
Version-Regex: .*?@SEMANTIC_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
Pgp-Mode: none

=== test/t/uscan/stable_version_v4/debian/watch ===
version=4
opts="pgpmode=none" \
https://foo/.*?@STABLE_VERSION@@ARCHIVE_EXT@

## devscripts 2.25.22~bpo13+1

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION = $(shell cat $(VERSION_FILE))

DEB_VENDOR = $(shell dpkg-vendor --query Vendor)

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
PL_CHECKS = $(patsubst %.pl,%.pl_check,$(PL_FILES))
SH_CHECKS = $(patsubst %.sh,%.sh_check,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES := \
	build-rdeps \
	dd-list \
	deb2apptainer \
	deb2docker \
	debcheckout \
	debsnap \
	dget \
	getbuildlog \
	grep-excuses \
	mass-bug \
	mk-build-deps \
	pts-subscribe \
	pts-unsubscribe \
	rc-alert \
	rmadison \
	transition-check \
	who-uploads \
	whodepends \
	wnpp-alert \
	wnpp-check \

GEN_MAN1S += \
	deb-why-removed.1 \
	debbisect.1 \
	debftbfs.1 \
	debootsnap.1 \
	debrebuild.1 \
	debrepro.1 \
	ltnu.1 \
	mk-origtargz.1 \
	salsa.1 \
	reproducible-check.1 \
	uscan.1 \

GEN_MAN5S += \
	debian-watch.5 \
	debian-watch-4.5 \
	uscan-templates.5

all: $(SCRIPTS) $(GEN_MAN1S) $(GEN_MAN5S) $(COMPLETION)

scripts: $(SCRIPTS)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	sed "s/###VERSION###/$(VERSION)/" $< > $@
	chmod --reference=$< $@
ifeq ($(DEB_VENDOR),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.5: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" --section=5 $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# Syntax checker
test_sh: $(SH_CHECKS)
%.sh_check: %
	bash -n $<

test_pl: $(PL_CHECKS)
%.pl_check: %
	perl -I ../lib -c $<; \

devscripts/__init__.py: ../debian/changelog
	# Generate devscripts/__init__.py
	python3 setup.py build

test_py: devscripts/__init__.py
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) -m unittest discover devscripts$(\n))

debbisect.1: debbisect
	help2man \
		--name="bisect snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debftbfs.1: debftbfs
	help2man \
		--name="list packages that have FTBFS bugs filed" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debootsnap.1: debootsnap
	help2man \
		--name="create debian chroot using snapshot.debian.org" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

debrebuild.1: debrebuild
	help2man \
		--name="use a buildinfo file and snapshot.d.o to recreate binary packages" \
		--version-string=$(VERSION) \
		--no-info \
		--no-discard-stderr \
		./$< >$@

reproducible-check.1: reproducible-check
	help2man \
		--name="Reports on the reproducible status of installed packages" \
		--no-info \
		--no-discard-stderr \
		./$< >$@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	rm -f devscripts/__init__.py
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR) .pylint.d
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS)
	rm -rf build

test: test_pl test_sh test_py

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for run_bisect
	install -d $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect $(DESTDIR)$(DATA_DIR)/scripts
	mv $(DESTDIR)$(BINDIR)/run_bisect_qemu $(DESTDIR)$(DATA_DIR)/scripts

.PHONY: test test_pl test_sh test_py all install clean scripts

=== debian/changelog ===
devscripts (2.25.22~bpo13+1) trixie-backports; urgency=medium

  * Team upload.
  * Rebuild for trixie-backports.
  * Disable testGitUpstreamTagWithSubmodules and
    testGitUpstreamTagWithSubmodulesIgnoreExclusions due to old git version in
    trixie.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 29 Oct 2025 06:56:58 +0100

devscripts (2.25.22) unstable; urgency=medium

  * Team upload.
  * scripts/devscripts/proxy.py: support all archive areas
  * debootsnap: query the unstable Debian archive

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 27 Oct 2025 08:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  Benjamin Drung <bdrung@debian.org>,
@@ -67,7 +66,6 @@
  zip <!nocheck>,
  zstd <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/devscripts
 Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
@@ -101,6 +99,7 @@
  libdistro-info-perl,
  libencode-locale-perl,
  libjson-perl,
+ libmetacpan-client-perl,
  libstring-shellquote-perl,
  liburi-perl,
  licensecheck,
@@ -135,13 +134,11 @@
  duck,
  elpa-devscripts,
  faketime,
- git-debpush (>= 13.12),
  gnuplot,
  how-can-i-help,
  libauthen-sasl-perl,
  libdbd-pg-perl,
  libgitlab-api-v4-perl (>= 0.13),
- libmetacpan-client-perl,
  libterm-size-perl,
  libtimedate-perl,
  libyaml-libyaml-perl,

=== test/debrepro/reproducible/debian/control ===
Source: reproducible
Section: FIXME
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 11~),
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: FIXME

Package: reproducible
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FIXME
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f

UBU_SUGGESTS=debian-keyring, debian-tag2upload-keyring, equivs, git-debpush (>= 13.12), libgitlab-api-v4-perl, liblwp-protocol-https-perl, libsoap-lite-perl, pristine-tar
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 SUBSTVARS=-V'vendor:Suggests=$(UBU_SUGGESTS)' -V'vendor:Recommends='
else
 SUBSTVARS=-V'vendor:Suggests=' -V'vendor:Recommends=$(UBU_SUGGESTS)'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS) \
		-V"devscripts:LongDesc=$$(cat README.md | awk '/^- annotate-output/,/^  exim script for sorting/' | sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g')"

=== test/sadt/flaky/debian/tests/control ===
Tests: flaky-succeeds flaky-fails
Restrictions: flaky

=== test/sadt/superficial/debian/tests/control ===
Tests: test
Restrictions: superficial

=== test/sadt/tests-directory/debian/tests/control ===
Tests: test
Tests-Directory: foo

=== test/t/uscan/automangle/debian/watch ===
Version: 5
Version-Schema: group

Source: https://foo
Version-Regex: .*foo?@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none
Uversion-Mangle: auto

Component: bar
Source: https://foo
Version-Regex: .*bar?@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none
Filename-Mangle: auto

=== test/t/uscan/gitlab/debian/watch ===
Version: 5

Template: Gitlab
Dist: https://salsa.debian.org/debian/devscripts

Component: tools
Source: https://salsa.debian.org/yadd/tools
Mode: gitlab
Matching-Pattern: @STABLE_VERSION@
Pgp-Mode: none

=== test/t/uscan/npm/debian/watch ===
Version: 5
Version-Schema: group

Template: Npmregistry
Dist: @lemonldap-ng/lemonldap-ng-handler

Component: logger
Template: Npmregistry
Dist: @lemonldap-ng/logger

=== test/t/uscan/pypi/debian/watch ===
Version: 5
Template: Pypi
Dist: foo

## devscripts 2.25.22

=== test/Makefile ===

OUR_TESTS= \
	perl \
	annotate-output \
	checkbashisms \
	dd-list \
	debchange \
	debdiff \
	debrepro \
	debsign \
	mass_bug \
	mergechanges \
	mk-origtargz \
	package_lifecycle \
	sadt \
	uscan \
	uscan_ftp \
	uscan_git \
	uscan_svn \
	uscan_mangle \
	uscan_group \
	uscan_update \
	perltidy \
	wrap-and-sort \

# Tests that must run as root, and alter the state of the system by
# adding/removing packages
DESTRUCTIVE_TESTS = \
	debi \

# unset some variables that might affect tests
undefine DEB_CHECK_COMMAND

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

destructive-test: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

destructive-test-installed: $(foreach i,$(DESTRUCTIVE_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test destructive-test

=== test/uscan/manual-test/Makefile ===
TOPSRCDIR	:= $(abspath $(CURDIR)/../../..)
PATH		:= $(TOPSRCDIR)/scripts:$(PATH)
PERL5LIB	:= $(TOPSRCDIR)/lib
export PATH
export PERL5LIB
COMMAND		:= uscan --no-conf --debug
KEEP_THESE	:= $(wildcard _*)
TOSS_THESE	:= $(filter-out $(KEEP_THESE) Makefile, $(wildcard *))

all:
	$(MAKE) prep # always run first
	$(MAKE) test

# Single archive run
test-%:
	cd $*; $(COMMAND)
	touch $*/stamp

# Many single archive runs
test: $(patsubst %,test-%,$(KEEP_THESE))

# Multiple archive run at once
multi:
	$(COMMAND)

prep:
	$(MAKE) -C $(TOPSRCDIR)/scripts uscan mk-origtargz uupdate debchange
	$(MAKE) -C $(TOPSRCDIR)/scripts uscan.pl_check
	touch stamp

clean-%:
	-rm $*/stamp

clean: $(patsubst %,clean-%,$(KEEP_THESE))
	-rm -rf $(TOSS_THESE)

=== test/t/uscan/semantic_version_v4/debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, pgpmode=none" \
https://foo/.*?@SEMANTIC_VERSION@@ARCHIVE_EXT@

## devscripts 2.25.23

=== debian/changelog ===
devscripts (2.25.23) unstable; urgency=medium

  [ Hugh McMaster ]
  * uscan/Git.pm: Support archiving in upstream mode .Closes: #1111962
  * uscan/Downloader.pm: Handle user-specified git submodules in upstream mode.
  * scripts/debian-watch.pod: Remove erroneous =back instruction.
  * test/test_uscan_git:
    - don't init or deinit submodules in upstream tests.
    - add and use verifyTarFiles() in all tests.
    - add testGitUpstreamHead* tests.

  [ Agustin Martin Domingo ]
  * scripts/debian-watch.pod: Document Update-Script: option for custom
    scripts. Closes: #1119152
  * scripts/debian-watch-4.pod: Minor change suggested in custom scripts
    section.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Nov 2025 10:51:30 +0100

=== test/debrepro/unreproducible/debian/changelog ===
unreproducible (0.1.0~FIXME-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 19 Apr 2018 17:33:39 -0300

=== test/debrepro/unreproducible/debian/control ===
Source: unreproducible
Section: FIXME
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 11~),
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: FIXME

Package: reproducible
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FIXME
 <insert long description, indented with spaces>

=== debian/tests/control ===
Tests:
 shunit2,
Depends:
 debhelper,
 build-essential,
 fakeroot,
 faketime,
 git,
 gnupg,
 gpgv,
 libdistro-info-perl,
 libgitlab-api-v4-perl,
 libio-string-perl,
 libjson-perl,
 liblwp-protocol-psgi-perl,
 libtest-output-perl,
 libwww-perl,
 lzip,
 python3-debian,
 python3-pyftpdlib,
 shunit2,
 subversion,
 unzip,
 wdiff,
 zip,
 zstd,
 @,
Restrictions:
 allow-stderr,

Tests:
 destructive,
Depends:
 apt,
 libdpkg-perl,
 perl,
 @,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,

Tests:
 metacpan,
Depends:
 debhelper,
 gpgv,
 libfile-dirlist-perl,
 libfile-homedir-perl,
 libfile-touch-perl,
 libio-string-perl,
 libjson-perl,
 liblwp-protocol-psgi-perl,
 libmetacpan-client-perl,
 libwww-perl,
Restrictions:
 needs-internet,
 allow-stderr,

=== test/t/uscan/any_version/debian/watch ===
Version: 5

Source: https://foo
Version-Regex: .*?@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none

=== test/t/uscan/gitlab_stable/debian/watch ===
Version: 5

Template: Gitlab
Dist: https://salsa.debian.org/debian/devscripts
Version-Type: STABLE_VERSION

Component: tools
Dist: https://salsa.debian.org/yadd/tools
Template: gitlab
Version-Type: STABLE_VERSION

=== test/t/uscan/package_url_v4/debian/watch ===
version=4
opts="pgpmode=none" \
https://foo/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

=== test/uscan/manual-test/_upspin/debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://upspin.googlesource.com/upspin \
HEAD debian uupdate

## devscripts 2.25.24

=== debian/changelog ===
devscripts (2.25.24) unstable; urgency=medium

  [ Yadd ]
  * salsa: add --retry-failed-pipelines option.
  * uscan:
    - fix Gitlab template when version starts with "v". Closes: #1113795
    - fix GitHub template when version contains a "-". Closes: #1111268
    - add test for Gitlab with Uversion-Mangle.
  * Drop unnecessary greater-than versioned dependencies and dependencies on
    essential packages.
  * Update French translations.

  [ Vincent Danjean ]
  * uscan:
    - allow to specify Uversion-Mangle with Gitlab template.
    - allow to specify the upstream version in Gitlab mode.
    - use non-greedy catch-all regexp in default matching pattern.
    - fix test: no v prefix in upstream versions anymore.

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Nov 2025 11:02:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dpkg-dev (>= 1.19.1),
- apt <!nocheck>,
  autodep8 <!nocheck>,
  bash-completion,
  black <!nocheck>,
  docbook-xsl,
  faketime <!nocheck>,
  file <!nocheck>,
- git (>= 1:2.7.0) <!nocheck>,
+ git <!nocheck>,
  gnupg <!nocheck>,
  gpg-agent <!nocheck>,
  gpgv <!nocheck>,
@@ -28,7 +26,7 @@
  libfile-dirlist-perl <!nocheck>,
  libfile-homedir-perl <!nocheck>,
  libfile-touch-perl <!nocheck>,
- libgitlab-api-v4-perl (>= 0.13) <!nocheck>,
+ libgitlab-api-v4-perl <!nocheck>,
  libio-string-perl <!nocheck>,
  libjson-perl <!nocheck>,
  liblwp-protocol-psgi-perl <!nocheck>,
@@ -44,7 +42,7 @@
  perltidy <!nocheck>,
  pkgconf,
  po4a,
- pylint (>= 2.2.2-2) <!nocheck> | pylint3 <!nocheck>,
+ pylint <!nocheck>,
  python3-all:any,
  python3-apt <!nocheck>,
  python3-debian <!nocheck>,
@@ -73,7 +71,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- dpkg-dev (>= 1.18.19),
  file,
  gpg,
  gpg-agent,
@@ -93,7 +90,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- apt (>= 1.3~pre3),
+ apt,
  dctrl-tools,
  dput | dupload,
  libdistro-info-perl,
@@ -108,7 +105,7 @@
  man-db,
  patch,
  python3-apt,
- python3-debian (>= 0.1.15),
+ python3-debian,
  python3-magic,
  python3-requests,
  python3-unidiff,
@@ -130,7 +127,7 @@
  diffoscope,
  disorderfs,
  docker.io,
- dose-extra (>= 4.0),
+ dose-extra,
  duck,
  elpa-devscripts,
  faketime,
@@ -138,7 +135,7 @@
  how-can-i-help,
  libauthen-sasl-perl,
  libdbd-pg-perl,
- libgitlab-api-v4-perl (>= 0.13),
+ libgitlab-api-v4-perl,
  libterm-size-perl,
  libtimedate-perl,
  libyaml-libyaml-perl,
@@ -158,11 +155,9 @@
  ${vendor:Suggests},
 Breaks:
  hardening-includes,
- ubuntu-dev-tools (<< 0.147~),
  dh-nodejs (<< 0.16.0~),
 Replaces:
  hardening-includes,
- ubuntu-dev-tools (<< 0.124~),
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:

=== test/sadt/comma-separated-tests/debian/tests/control ===
Tests: test1, test2

=== test/t/uscan/components/debian/watch ===
Version: 5

Source: https://foo
Version-Regex: @PACKAGE@-@SEMANTIC_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
Pgp-Mode: none

Component: bar
Source: https://foo
Version-Regex: @COMPONENT@-@STABLE_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none

=== test/t/uscan/gitlab-uversionmangle/debian/watch ===
Version: 5

Template: Gitlab
Dist: https://salsa.debian.org/debian/devscripts
Uversion-Mangle: s/$/a1/

=== test/uscan/manual-test/_dh-make-golang/debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Debian/dh-make-golang \
HEAD debian uupdate

=== test/uscan/manual-test/_dl-poly-classic/debian/watch ===
version=4
opts="hrefdecode=percent-encoding, pgpmode=no, \
 filenamemangle=s/.*dl_class_([\d.]+)\.tar\.gz/dl-poly-classic-$1\.tar\.gz/" \
https://ccpforge.cse.rl.ac.uk/gf/project/dl_poly_classic/frs/ \
 /gf/download/frsrelease/\d+/\d+/dl_class_([\d.]+)\.tar\.gz debian uupdate

## devscripts 2.25.25

=== doc/Makefile ===
include ../Makefile.common

all: devscripts.7

clean:
	rm -f devscripts.7 devscripts.7.tmp.*

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.7: devscripts.7.in ../README.md genmanpage.pl
	cat $< > $@.tmp.$(PID)
	cat ../README.md | \
		awk '/^- annotate-output/,/^  mailing lists./'|sed -e '/^[[:space:]]*$$/d' -e 's/^/ /g' | \
		perl genmanpage.pl \
		>> $@.tmp.$(PID)
	mv $@.tmp.$(PID) $@

install: install_man1 install_man5 install_man7

install_man1: *.1
	install -d "$(DESTDIR)$(MAN1DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN1DIR)" $^
install_man5: *.5
	install -d "$(DESTDIR)$(MAN5DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN5DIR)" $^
install_man7: *.7 devscripts.7
	install -d "$(DESTDIR)$(MAN7DIR)"
	install -m0644 -t "$(DESTDIR)$(MAN7DIR)" $^

=== debian/changelog ===
devscripts (2.25.25) unstable; urgency=medium

  [ Colin Watson ]
  * Restore dependency on dpkg-dev.

  [ Jochen Sprickerhof ]
  * Recover build dependency on apt.

  [ Yadd ]
  * uscan: drop old Gitlab hook. Closes: #1120116.
  * test/t/uscan.t: revert temporary hook.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Nov 2025 08:42:30 +0100

=== test/t/uscan/metacpan/debian/changelog ===
libmetacpan-client-perl (0.0.0-1) UNRELEASED; urgency=medium

  * Fake changelog

 -- Dr Woo <dr.woo@debian.org>  Sat, 09 Oct 2021 09:06:19 +0200

=== test/t/uscan/simple_test/debian/changelog ===
foo (0.0.0-1) UNRELEASED; urgency=medium

  * Fake changelog

 -- Dr Woo <dr.woo@debian.org>  Sat, 09 Oct 2021 09:06:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ apt <!nocheck>,
  autodep8 <!nocheck>,
  bash-completion,
  black <!nocheck>,
@@ -71,6 +72,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ dpkg-dev,
  file,
  gpg,
  gpg-agent,

=== test/sadt/skippable/debian/tests/control ===
Tests: skipped
Restrictions: skippable

=== test/sadt/space-separated-tests/debian/tests/control ===
Tests: test1 test2

=== test/t/uscan/any_version_v4/debian/watch ===
version=4
opts="pgpmode=none" \
https://foo/.*?@ANY_VERSION@@ARCHIVE_EXT@

=== test/t/uscan/github/debian/watch ===
Version: 5

Template: GitHub
Owner: linagora
Project: simple-oidc-client
Pgp-Mode: none

=== test/t/uscan/github_stable/debian/watch ===
Version: 5

Template: GitHub
Owner: linagora
Project: simple-oidc-client
Pgp-Mode: none
Version-Type: STABLE_VERSION

=== test/t/uscan/metacpan/debian/watch ===
Version: 5

Template: Metacpan
Dist: MetaCPAN-Client
Pgp-Mode: none

=== test/t/uscan/stable_version/debian/watch ===
Version: 5

Source: https://foo
Version-Regex: .*?@STABLE_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none

=== test/t/uscan/untrackable/debian/watch ===
Version: 5
Untrackable: I don't want to update this directory

Template: GitHub
Owner: linagora
Project: simple-oidc-client
Pgp-Mode: none

=== test/uscan/manual-test/_osamu-utils/debian/watch ===
version=4
opts="mode=git,pretty=describe,pgpmode=no, \
    uversionmangle=s/^/0.0~/" \
    https://github.com/osamuaoki/osamu-utils.git \
    HEAD debian uupdate

## devscripts 2.25.26

=== debian/changelog ===
devscripts (2.25.26) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Update French translation

  [ Jochen Sprickerhof ]
  * debrebuild: always build with --no-source because we cannot reproduce the
    signature on the .dsc anyway.

  [ John Chittum ]
  * d/rules&control: libmetacpan-client-perl suggest on Ubuntu

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Nov 2025 15:13:45 +0100

## devscripts 2.25.27

=== debian/changelog ===
devscripts (2.25.27) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts show: Fix handling of non-blocking browsers.
  * bts: Default --cache-delay to zero.
  * bts: Allow --mbox for more than single bugs.

  [ Guillem Jover ]
  * tagpending: Fix option --to handling to actually work.
  * Pass also filename to Dpkg::Changelog::Parse::changelog_parse().

  [ Holger Levsen ]
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Nov 2025 19:03:04 +0100

=== debian/control ===
--- 
+++ 
@@ -98,7 +98,6 @@
  libdistro-info-perl,
  libencode-locale-perl,
  libjson-perl,
- libmetacpan-client-perl,
  libstring-shellquote-perl,
  liburi-perl,
  licensecheck,

## devscripts 2.25.28

=== debian/changelog ===
devscripts (2.25.28) unstable; urgency=medium

  [ Guillem Jover ]
  * debdiff: Add support for new --no-check option. Closes: #1016135.
  * Pass also no_check to Dpkg::IPC spawn() and wait_child().

  [ Hugh McMaster ]
  * uscan/Git.pm:
    - Set $newfile as a remote reference in upstream mode. Closes: #1120533.
    - Remove 'eval' wrapper.
    - Update 'git upstream' code path and debug output.
    - Call 'show-ref' and 'ls-remote' with '--tags'.
  * uscan/WatchSource.pm: Update some output messages.

  [ Yadd ]
  * uscan:
    - accept also "Dist" into Github template like other templates.
    - improve default Uversion-Mangle to cover trailing dot or dash and
      uppercase. Thanks to Jonas Smedegaard. Closes: #1112452.
  * Update French translations.

  [ Daniel Gröber ]
  * bts: browse:
    - Push down $caching check. Closes: #1121335.
    - Fix background download with blocking browsers.
    - Fix background child inadvertently executing commands.

 -- Holger Levsen <holger@debian.org>  Sun, 30 Nov 2025 10:59:09 +0100

## devscripts 2.25.29

=== debian/changelog ===
devscripts (2.25.29) unstable; urgency=medium

  [ Guillem Jover ]
  * debdiff: Pass also no_check to Dpkg::IPC spawn() and wait_child().

  [ Jongmin Kim ]
  * dd-list: Fix -nou option by bundling_override. Closes: #960891.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Dec 2025 10:58:56 +0100

## devscripts 2.25.30

=== debian/changelog ===
devscripts (2.25.30) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * uscan:
    - Fix "Dist" for GitHub template.
    - Document Dist for GitHub.
    - Add a test for GitHub "Dist" keyword.

  [ Yadd ]
  * Fix metacpan autopkgtest. Closes: #1121972.

  [ Holger Levsen ]
  * Update Portuguese translation, thanks to Américo Monteiro.
    Closes: #1122190.
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Dec 2025 19:02:06 +0100

## devscripts 2.25.31

=== debian/changelog ===
devscripts (2.25.31) unstable; urgency=medium

  [ Daniel Gröber ]
  * bts.1: Document 'show' command additions from 2.25.28
  * bts: Allow -1 as alias for "it" - to referr to last used bug number
  * bts: bugs --mbox: Allow selecting with additional filters
  * bts: Ignore EMAIL/DEBEMAIL if invalid mail address
  * bts: Add BTS_WORKFLOW=mail|web config var, --mail and --web options
  * bts: tags: Remove 10yo 'gift' special handling :-O
  * bts: browse: Fix download_mbox tempfile file-descriptor leak
  * bts: tags: Disallow defaulted + to allow more useful behavour later
  * bts: Make 'close' a proper alias for 'done' removing 21yo warning
  * bts: Add 'disown' alias for 'noowner' command
  * bts: Allow omitting bug-number argument where unambigous
  * bts: Add 'reply' command for Control: pseudoheader based workflow
  * bts.1: Reflect optional bug args and new keywords (to/by/from/with/since)
  * bts: Add 'assign' alias for 'reassign' command
  * bts clone: Check for duplicates in new IDs
  * bts: Add online versiontracking checks for found/fixed commands
  * bts.1: Add extensive EXAMPLE section
  * bts.1: Revitalize DESCRIPTION with welcoming attitude
  * bts.1: Give an actual overview in SYNOPSYS
  * bts: Read user input directly from TTY for when STDIN is redirected
  * bts: Defuse footguns by default, use BTS_EXPERT=yes to override
  * bts: Document unfriendly 'reopen' command as deprecated
  * bts: Check for conflicting fixed version records
  * bts: Consider bug-numbers with less than four digits invalid
  * bts: Introduce --smtp-reportbug and BTS_SMTP_REPORTBUG=yes
  * bts: Introduce BTS_MUTT_COMMAND config (neomutt users rejoice!)
  * bts: Error on invalid config instead of using default
  * bts done: Disallow `sourcepakcage/version` syntax
  * bts done: Check for duplicate command
  * bts.1: Improve BTS_MAIL_READER docs
  * bts: Prepare mail logic to allow for bug sumbission
  * bts: Introduce support for bug submission
  * bts done: Remove $interactive logic superceeded by main()
  * bts done: Use NNNNN-done@ instead of control@
  * bts: Introduce cmdline MUA autodetection for mutt, neomutt and aerc
  * bts: In --mail workflow: Use enclosing MUA implicitly
  * bts: Skip mail confirmation when --mutt is active (or implied)
  * bts: Warn about template snippet remaining in message (--interactive)
  * bts unarchive: Check whether bug is really archived
  * bts.1: Document Consistency Checks in DESCRIPTION
  * bts.1: Improve --smtp-* option docs
  * bts: Make --sendmail and --smtp-host override implied --mutt
  * bts: Integrate (un)subscribe commands into multi-command sequece
  * bts: Allow multiple bugs in (un)subscribe commands
  * bts: Make --smtp-reportbug imply --interactive to be more friendly
  * bts: Complain when BTS_INTERACTIVE is invalid instead of defaulting
  * d/control: Update 'bts' description and dependencies
  * bts: Unlock implicit 'reply' using $_ MUA detection
  * bts: Fix sending using sendmail skipping send_scriptions
  * bts: Make confirmmail tell user why nothing is happening
  * bts: TODO for config var docs
  * bts: Merge 'bugs' and 'show' command sections
  * bts: Fix 'merge' command usage
  * bts: Make "modified from defaults" section in --help more visible
  * bts: Condense generated --help output for readability
  * bts retitle: Check for current subject in retitle. Closes: #537875.
  * bts: Use timeout of 5s in --mutt and --interactive
  * bts: Use https by default when using --bts-server
  * bts.1: TODO to fix sensible-browser blocking with graphical browsers
  * bts reply: Reset $! to avoid suprious "Illegal seek" error
  * bts reply: Use `exists $m{}` to avoid uninizialized warnings
  * bts reply: Add error message to message body for user visibility
  * bts: Note that $bug_status{source} can contain multiple packages
  * pts-subscribe: Use tracker control@ instead of pts@qa.debian.org
  * bts.1: Note 'assign' clears each given bug's found versions
  * bts.1: Minor copyedit s/fetching info/fetching online info/
  * bts: Make punctuation in SYNOPSIS section consistent
  * bts: Use %hash to determine implicit reply cancellation
  * bts: Introduce 'context' command for control@ mail from MUA
  * bts.1: Update 'reply' docs for 'context'
  * bts: Remove deprecated 22yo BUGSOFFLINE deprecation warning
  * bts: Fix --cc-addr, BTS_DEFAULT_CC being ineffective
  * bts: Add BTS_NONMUA_BCC config for reliable personal archiving
  * bts: Allow address lists in BTS_DEFAULT_CC, BTS_NONMUA_BCC
  * bts: Fix 'notfound' bugargs invocation

  [ Ximin Luo ]
  * uscan: don't copy tarballs to .. if we're not running mk_origtargz in the first place
  * uscan: perl tidy

  [ Holger Levsen ]
  * dget: dont return 0 if download fails. Thanks to Lucas Nussbaum.
    Closes: #1123045
  * Update po4a.

 -- Holger Levsen <holger@debian.org>  Tue, 16 Dec 2025 15:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -123,6 +123,7 @@
  autopkgtest,
  bls-standalone,
  bsd-mailx | mailx,
+ default-mta | mail-transport-agent,
  build-essential,
  check-all-the-things,
  diffoscope,
